This is the official forum for the free, fan-made Age of Empires III modification, Wars of Liberty.

Welcome to the New Forum

We hope you enjoy the official new forum of the Wars of Liberty mod for Age of Empires III! Visit this thread to get acquainted with the new forum, and let us know if there's anything we can fix. Feel free to dismiss this message at any time by clicking the "X" in the top right corner.

Thanks!
The Wars of Liberty Team

Forum rules

  • Welcome to The Hospital! This forum is for bugs and error reporting.
  • The official language in this forum is English.
  • Be nice to other members, don't spam comments or smilies, and don't do anything illegal.
  • Posts that don't fit this forum will be moved or deleted.
  • 1
  • 5
  • 6
  • 7
  • 8
  • 9
 
User avatar
Hoop Thrower
Wars of Liberty Team
Wars of Liberty Team
Posts: 1489
Joined: Sun Mar 12, 2017 9:17 pm
Location: Kingdom of Araucania & Patagonia
Favorite Civilization: Mapuche
ESO: HoopThrower
Steam: hoop_thrower
Contact:

Re: Installing and Updating Wars of Liberty

Sun Feb 24, 2019 6:22 pm

DarthVader wrote: Hi everyone! One friend tried to access aoe3wol.com to install the game and his antivirus (Norton) has been reported there is a Computer Threat on the website and blocked it. He was afraid and did not installed the game. I have Kaspersky antivirus and it have never reported anything. I put the link on Norton Safe Web (https://safeweb.norton.com/) to look up and it indeed reports just one Computer Threat but it does not show up where is the problem. I consulted 2 another websites that check links and both did not reported anything. What can it causing this alert from Norton antivirus? Is it possible to solve? Thanks in advance!
Your antivirus is the computer threat
 
User avatar
DarthVader
Whipped Slave
Whipped Slave
Posts: 7
Joined: Tue Dec 25, 2018 10:50 am

Re: Installing and Updating Wars of Liberty

Sun Mar 31, 2019 10:57 am

Hello everyone!!! I see many guys installing WoL in the same path of Asian Dynasties because they dont read or dont understand the warning screen about that. When they want to play Asian Dynasties, they discover the game was overwritten by WoL. I suggest the installer does not propose to install in the same path of Asian. Instead, propose to install in c:\program files\wars of liberty and put a message that if you want to install in the same path of Asian Dynasties, you will save space but will loose that expansion. I think it is not much common you want to loose Asian Dynasties. In general, you want to have all the expansions. So, it is just a suggestion. Thank you for the awesome job in creating and updating the game.
 
User avatar
Banyana
Volunteer
Volunteer
Posts: 302
Joined: Mon Aug 21, 2017 3:23 pm
Location: Germany
Favorite Civilization: Swiss
ESO: Maxy147
Steam: Evil Morty

Re: Installing and Updating Wars of Liberty

Sun Mar 31, 2019 5:38 pm

Or just make a recovery of the orginal AOE and install WOL into the copy...
Smile like a Banyana... Image
 
User avatar
calinbule
Mooing Cow
Mooing Cow
Posts: 1
Joined: Fri Apr 26, 2019 7:21 pm

Re: Installing and Updating Wars of Liberty

Fri Apr 26, 2019 7:33 pm

Hello,
Is there any way to install the mod on MacOS Mojave witn a non Steam AoE3 version? I have been searching for a bit but did not find anything clear.
Thank you!
 
User avatar
HrdsHrdrck
Intern
Intern
Posts: 571
Joined: Sun Jun 25, 2017 7:01 pm
Favorite Civilization: Romanians

Re: Installing and Updating Wars of Liberty

Fri Apr 26, 2019 11:06 pm

In theory you can, using wine
m sr y m frm stn scrts sn vcls sn nngn rzn prnt
 
User avatar
UnstoppableStreletsy
Volunteer
Volunteer
Posts: 208
Joined: Mon Apr 10, 2017 11:00 pm
Location: United States
Favorite Civilization: Koreans
ESO: UnStopStreletsy
Steam: UnstoppableStreletsy
Contact:

Re: Installing and Updating Wars of Liberty

Fri Apr 26, 2019 11:10 pm

Its actually a bit more complicated nowadays. There is a tool called porting kit that install aoe3 steam + wol for you easily. However, java applications in wine tend to not run at all since the java runtime installer doesn't work for it. I would recommend that developers update the installer for every patch to mitigate this dilemma. Also the old unix updater for wol seems to be dated on more updated osx versions like sierra which I used to use and mojave. The best advice I can give for a little money is to buy windows and bootcamp since it takes away all the hassles. Heck, I even uninstalled sierra by accident and that bootcamp partition is still working fine on this mac.
  • 1
  • 5
  • 6
  • 7
  • 8
  • 9

Who is online

Users browsing this forum: No registered users and 1 guest